const express = require('express');
const bodyParser = require('body-parser');


const app = express();
const port = 3000;

// It's necessary for parsing POST requests
// the line below is used for parsing application/x-www-form-urlencoded
app.use(bodyParser.urlencoded({extended: true}));

const db = require('./server');

app.get('/', (request, response) => {
    response.json({ info: 'Node.js, Express, and Postgres API' })
})
app.get('/schedules', db.getAll)

app.listen(port, () => {
    console.log("Server is running on port " + port + "...");
});
