const Pool = require('pg').Pool;
const Schedules = require('./schedules.js');
const db = new Pool({
    user: 'postgres',
    host: 'localhost',
    database: 'test',
    password: 'password',
    port: 5432
});

const getAll = async (request, response) => {
    const login = 'engtesting';
    const query = `SELECT *
                   FROM customer.test_schedules
                   WHERE "login" = $1 and "updated" = false`;

    try {
        await db.query(query,  [login]).then(res => {
            const data = res.rows;

            const id = '7d208f8a-33c5-4d1b-88f9-50a5e755b64e';
            data.forEach( async (o) => {
                const query1 = `SELECT *
                   FROM customer.schedules
                   WHERE "id" = $1 `;
                await db.query(query1, [id]).then(response => {
                    // console.error(response.rows);
                    Schedules.init();

                })
            });
            response.status(200).json(data);

        });

    } catch (error) {
        console.error(error.stack);
    } finally {
        // await db.end();                                     // closes connection
    }
}




module.exports = {
    getAll
}
